Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.jobmanager.config
Class EventJobDefinition

    java.lang.Object
      com.bea.p13n.jobmanager.config.AbstractJobDefinition
          com.bea.p13n.jobmanager.config.EventJobDefinition

All Implemented Interfaces
  JobDefinition

    public class EventJobDefinition

extends AbstractJobDefinition

This is a job definition for an `EventJob`.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.p13n.jobmanager.JobDefinition
`JobDefinition.JOB_TYPE`

Constructor Summary
`EventJobDefinition()`

Method Summary
`JobDefinition.JOB_TYPE` | `getJobType()`
`void` | `setName(String name)` This operation is unsupported because one event job definition translates into number of event job definitions that is equal to number of servers in a cluster, as it doesn't keep job history.
`void` | `setNode(String node)` This operation is not supported because this job definition can't be targetted to a single server as it runs on all servers in a cluster.
`String` | `toString()`

Methods inherited from class com.bea.p13n.jobmanager.config.AbstractJobDefinition
`createJobListener, createJobParam, destroyJobListener, destroyJobParam, getDescription, getEnabled, getGroup, getJobClass, getJobListeners, getJobParams, getName, getNode, isEnabled, lookupJobListener, lookupJobParam, setDescription, setEnabled, setGroup, setJobClass, setJobParamBeans, setListenerBeans`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventJobDefinition

    public EventJobDefinition()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractJobDefinition`

### getJobType

    public JobDefinition.JOB_TYPE getJobType()

  Specified by:
    `getJobType` in class `AbstractJobDefinition`

### setName

    public void setName(String name)

  This operation is unsupported because one event job definition translates into number of event job definitions that is equal to number of servers in a cluster, as it doesn't keep job history. The name is generated before storing it in the database.

  Specified by:
    `setName` in interface `JobDefinition`
  Overrides:
    `setName` in class `AbstractJobDefinition`
  Parameters
    `name` - The name of this job definition.

### setNode

    public void setNode(String node)

  This operation is not supported because this job definition can't be targetted to a single server as it runs on all servers in a cluster.

  Specified by:
    `setNode` in interface `JobDefinition`
  Overrides:
    `setNode` in class `AbstractJobDefinition`
  Parameters
    `node` - A server name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.